Subject: bug#64164: 29.0.92; buffer-file-coding-system changes unexpectedly after saving

From: Eli Zaretskii <[email-masked]>
Date: Mon, 19 Jun 2023 19:55:54 +0300

> Date: Mon, 19 Jun 2023 12:57:39 +0300
> From: [email-masked]
> 
> i am trying to edit remote files on another macOS system, using Tramp's 
> ssh: method. i am running `emacs -Q`.
> 
> when i open any file on this remote system, the initial value of 
> `buffer-file-coding-system` is what i would expect, i.e. undecided-unix 
> or utf-8-unix, depending on whether the file contains non-ASCII 
> characters.
> 
> however, after saving the file, `buffer-file-coding-system` suddenly 
> changes to utf-8-hfs-mac. any subsequent save then changes all the line 
> endings to CR, which i have not actively used since 2001 or so... :-)
> 
> i can use `set-buffer-file-coding-system` to set utf-8-unix, but the 
> problem then occurs again after the next save. other remotes (Linux 
> systems) do not exhibit the issue.
> 
> Emacs 28.2 works as expected.

Does this happen only with editing remote files via Tramp, or does it
also happen when you edit local files on macOS?

If it only happens with Tramp, is it possible for you to login to that
other system and edit files there locally, in case this is triggered
by something specific to that system?

> i am using the build from https://emacsformacosx.com/builds

I don't know what that is.  Are you sure this uses the official
sources from the emacs-29.0.92 tarball?